﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Xml;
using FarPoint.Mvc.Spread;
using SpreadMVC.Models;

namespace SpreadMVC.Controllers
{
    public class HomeController : Controller
    {
        const string TAB = "%09";
        public ActionResult Index([MvcSpread] FpSpread Spread1)
        {   
            return View();
        }

        [MvcSpreadEvent("Init", "Spread1")]
        private void ShipmentSpread_Init(object sender, EventArgs e)
        {
            var fpSpread = (FpSpread)sender;
            fpSpread.ActiveSheetView.AllowPage = false;
            fpSpread.Width = Unit.Percentage(100);
            fpSpread.OpenExcel(Server.MapPath("~/Files/FlexGrid.xlsx"));
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}