﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;

namespace SpreadMVC.Models
{
    public class SampleData
    {
        public static DataTable GetTable(int start,int count)
        {
            // Here we create a DataTable with four columns.
            DataTable table = new DataTable();
            table.Columns.Add("Dosage", typeof(int));
            table.Columns.Add("Drug", typeof(string));
            table.Columns.Add("Patient", typeof(string));
            table.Columns.Add("Date", typeof(DateTime));
            table.Columns.Add("Active", typeof(bool));
            // Here we add five DataRows.
            var Drugs = "Indocin,Enebrel Some long long text long text long text.,Hydralazine,Combivent Some long long text long text long text.,Dilantin,Some long long text long text long text.".Split(',');
            var Patients = "David,Sam,Christoff,Janet,Melanie".Split(',');
            for (int i = start; i < start+count; i++)
            {
                table.Rows.Add(i, Drugs[i % Drugs.Length], Patients[i % Patients.Length], new DateTime(), i % 2 == 0);
            }
            return table;
        }
    }
}